<template>
  <div class="trialCenter">
    <IndexHeader></IndexHeader>
    <Banner></Banner>
    <commendCard ref="commendCard" :total="total"></commendCard>
    <SdkList :freeSdk="freeSdk"></SdkList>
    <ProductForm :freeProd="freeProd"></ProductForm>
    <Connect></Connect>
    <Footer :isBlack="true"></Footer>
  </div>
</template>

<script>
import { getFreeList } from "@/api/product";

import IndexHeader from "@/components/IndexHeader";
import Banner from "@/views/trialCenter/components/Banner";
import commendCard from "@/views/trialCenter/components/commendCard";
import SdkList from "@/views/trialCenter/components/SdkList";
import ProductForm from "@/views/trialCenter/components/ProductForm";
import Connect from "@/components/Connect";
import Footer from "@/components/Footer";

export default {
  created() {
    this.getList();
  },
  data() {
    return {
      total: {},
      freeProd: [],
      freeSdk: [],
    };
  },
  components: {
    IndexHeader,
    Banner,
    commendCard,
    SdkList,
    Connect,
    Footer,
    ProductForm,
  },
  methods: {
    async getList() {
      const res = await getFreeList();
      this.total = {
        totalCompany: res.data.totalCompany,
        totalFreeDay: res.data.totalFreeDay,
        totalFreeProd: res.data.totalFreeProd,
        totalUser: res.data.totalUser,
      };
      this.freeSdk = res.data.freeSdk;
      this.freeProd = res.data.freeProd;
      setTimeout(() => {
        this.$refs["commendCard"].getCount();
      }, 0);
    },
  },
};
</script>

<style lang="scss" scoped>
.trialCenter {
  .IndexHeader {
    ::v-deep .header {
      position: absolute;
    }
  }
}
</style>